# -*- coding: utf-8 -*-
##################################################
# This file is part of WAPT Enterprise
# All right reserved, (c) Tranquil IT Systems 2023
# For more information please refer to
# https://wapt.tranquil.it/store/licences.html
##################################################
from setuphelpers import *


def install():
    install_apt('gnupg software-properties-common')

    run('mkdir -m755 -p /etc/apt/keyrings')
    filecopyto('qgis-archive-keyring.gpg','/etc/apt/keyrings/qgis-archive-keyring.gpg')

    codename = get_code_name_version().lower()
    if is_debian():
        url = "https://qgis.org/debian-ltr"
    else:
        url = "https://qgis.org/ubuntu-ltr"

    data = """Types: deb deb-src
URIs: %s
Suites: %s
Architectures: amd64
Components: main
Signed-By: /etc/apt/keyrings/qgis-archive-keyring.gpg
""" % (url,codename)


    with open('/etc/apt/sources.list.d/qgis.sources','w') as f:
        f.write(data)

    update_apt()
    install_apt("qgis qgis-plugin-grass")

def uninstall():
    uninstall_apt("qgis qgis-plugin-grass",autoremove=True)